<?php
$must_login            = true ;
$require_path          = '../../../' ;
$require_sub           = '../../' ;
require( $require_sub.'header.php' ) ;

if ( $boolean_login ){
    $status            = '201' ;

    $search_query      = '' ;
    if ( $array['category_id'] != '' ){
        $search_query .= " AND category_id = '".$array['category_id']."'" ;
    }
    if ( $array['search'] != '' ){
        $search_query .= " AND title LIKE '%".$array['search']."%'" ;
    }

    $query             = "SELECT catalog_id, title, created_at FROM catalog
                          WHERE deleted_at IS NULL " . $search_query ;
    $mysqli_query      = $mysqli->query( $query . " ORDER BY sortable ASC, created_at DESC LIMIT " . getLimit( $current ) ) ;

    if ( $mysqli_query->num_rows > 0 ){

        $status        = '200' ;

        $list          = [] ;
        while ( $row   = $mysqli_query->fetch_assoc() ){
            $row['id']          = dataFilter( $row['catalog_id'] ) ;
            $row['title']       = dataFilter( $row['title'] ) ;
            $row['file']        = ( $row['file'] != '' ? PATH.'uploads/Catalog/b/'.$row['file'] : '' ) ;
            $row['created_at']  = resetDateFormat( $row['created_at'] ) ;
            $list[]             = $row ;
        }

        $data['list']  = $list ;

    }
}

require( $require_sub.'footer.php' ) ;
?>